This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1297745 - /tmp is read-only for non-root
/tmp is read-only for non-root
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhel-server-atomic (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Colin Walters
Ladislav Jozsa
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 06:23 EST by Marius Vollmer
Modified: 2016-01-28 00:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Vollmer 2016-01-12 06:23:51 EST
Description of problem:

Running rhel-atomic-cloud-7.2-10.x86_64.qcow2 gives me a /tmp that is read-only for non-root:

    # ls -rld /tmp /sysroot/tmp
    lrwxrwxrwx. 1 root root   11 Jan 12 09:10 /tmp -> sysroot/tmp
    drwxr-xr-t. 7 root root 4096 Jan 12 10:50 /sysroot/tmp

I would expect to get rwxrwxrwxt for /sysroot/tmp, as on Fedora Atomic.


This is an issue for the Cockpit integration tests.  These tests mostly run as a non-root wheel user.

Are non-root users not supposed to exist in a RHEL Atomic Host?  If so, we can change the tests to run as root (on RHEL-AH only).
Comment 2 Colin Walters 2016-01-12 10:17:42 EST
We'll backport the patch from https://bugzilla.redhat.com/show_bug.cgi?id=1276775

Note You need to log in before you can comment on or make changes to this bug.